{% extends 'base.html.twig' %}

{% block body %}
    {% block content %}
    {% for b in items %}
        {% if b.id is null   %}
            <div class="alert alert-danger">
                No posts found 
            </div>
        {% endif %}
        <div class="jumbotron">
               <div class="alert alert-success" role="alert">
                    <span class="fa fa-calendar-o"></span>
                   <span class="fa fa-clone"></span>{{ b.type|upper }}
                        <a href="https://www.facebook.com/sharer/sharer.php?u=thingforlife.com/{{ b.urlseo }}/detail?id={{ b.id }}" target="_blank" class="btn btn-primary">
                            <span class="fa fa-share" style="font-size:35px" title="Share post &quot; {{ b.title|upper }}&quot; on Facebook">
                                <span style="font-size: 17.5px"class="fa fa-facebook-square"></span>
                            </span>       
                        </a>

                   <!-- Your share button code -->
                   <div class="fb-share-button"
                        data-href="http://thingforlife.com/nazor-na-rousky/detail?id=9"

                        data-layout="button_count">
                   </div>

                        {% if b.lastmod is not null %}
                            <h6 title="lastmod: {{ b.lastmod|date('Y-m-d h:i:s') }}"><span class="fa fa-pencil-square-o"></span> poslední editace v: <b> {{ b.lastmod|date('Y-m-d h:i:s') }} </b></h6>
                        {% else %}
                            <h6>doposud žádná editace</h6>
                        {% endif %}   
                                                            

                      <div id="fb-root"></div>
                        <script async defer crossorigin="anonymous" src="https://connect.facebook.net/cs_CZ/sdk.js#xfbml=1&version=v6.0&appId=627765560763904&autoLogAppEvents=1"></script>
               </div>
  

              <div class="fb-share-button" data-href="https://www.facebook.com/albertpateradeveloper/" 
                data-layout="box_count" data-size="large"><a target="_blank" 
                href="https://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2Fwww.facebook.com%2Falbertpateradeveloper%2F&amp;src=sdkpreparse" class="fb-xfbml-parse-ignore">Sdílet</a></div>

            {% if b.image is null %}
                <img class="rounded-circle" src="https://images.unsplash.com/photo-1517770413964-df8ca61194a6?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1050&q=80"
                    style="width:100%; height: 350px">
            {% else %}
                <img src="{{ b.image }}" title="{{ b.title }}" alt="{{ b.title }}" style="width: 100%; height: 350px">
            {% endif %}
            <h3 class="display-4">
                <a href="{{ path("article_detail", {id: b.id, url: b.urlseo}) }}">{{ b.title|upper }}</a>
            </h3>
            <div class="text-justify">{{ b.description|texy|raw }}</div>
        </div>

    {% endfor %}
    {% endblock %}
{% endblock %}
